com.asprise.imaging.scan

## Enum FunctionalUnit.Duplex

- java.lang.Object
- - java.lang.Enum<FunctionalUnit.Duplex>
  - - com.asprise.imaging.scan.FunctionalUnit.Duplex

- All Implemented Interfaces:
    Serializable, Comparable<FunctionalUnit.Duplex>
  Enclosing class:
    FunctionalUnit

      public static enum FunctionalUnit.Duplex
      extends Enum<FunctionalUnit.Duplex>

  Duplex mode for automatic document feeding

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUPLEX_BACK_FRIST`
    `DUPLEX_FRONT_FIRST`
    `NO_DUPLEX_BACK_ONLY`
    `NO_DUPLEX_FRONT_ONLY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionalUnit.Duplex` | `getBySystemValue(long value)`
    `long` | `toSystemValue()`
    `static FunctionalUnit.Duplex` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FunctionalUnit.Duplex[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DUPLEX_FRONT_FIRST

          public static final FunctionalUnit.Duplex DUPLEX_FRONT_FIRST

    - #### DUPLEX_BACK_FRIST

          public static final FunctionalUnit.Duplex DUPLEX_BACK_FRIST

    - #### NO_DUPLEX_FRONT_ONLY

          public static final FunctionalUnit.Duplex NO_DUPLEX_FRONT_ONLY

    - #### NO_DUPLEX_BACK_ONLY

          public static final FunctionalUnit.Duplex NO_DUPLEX_BACK_ONLY

  - ### Method Detail

    - #### values

          public static FunctionalUnit.Duplex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionalUnit.Duplex c : FunctionalUnit.Duplex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionalUnit.Duplex valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBySystemValue

          public static FunctionalUnit.Duplex getBySystemValue(long value)

    - #### toSystemValue

          public long toSystemValue()

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com